#define SHOKI_TYPE	"PARSER"
#define SHOKI_LOG_NAME	SHOKI_LOG_NAME_PARSER

int pf_outformat_d[] =
{
	PF_NAME,
        PF_TIME,
        PF_SRC,
        PF_SPORT,
        PF_DST,
        PF_DPORT,
        PF_PROTO,
        0,
};

char *pf_outdelim_d[] =
{
	" ",
	" ",
	":",
	" -> ",
	":",
	" ",
	0,
};

int pf_type_d[] =
{
	PF_TYPE_VAR,
	PF_TYPE_DELIM,
	PF_TYPE_VAR,
	PF_TYPE_DELIM,
	PF_TYPE_VAR,
	PF_TYPE_DELIM,
	PF_TYPE_VAR,
	PF_TYPE_DELIM,
	PF_TYPE_VAR,
	PF_TYPE_DELIM,
	PF_TYPE_VAR,
	PF_TYPE_DELIM,
	PF_TYPE_VAR,
	0,
};

int cleanup(int);
void change_log();
void open_dump();
void capture_loop();
void close_dump();
void change_dump();
void clean_kids();

void compile_filters(pcap_t *, bpf_u_int32, int);
void compile_fcodes(char *, bpf_u_int32);
struct bpf_program compile_fcode(int ,bpf_u_int32);
void compile_regexen();

char *getname(const u_char *);
char *intoa(u_int32_t);

void parse_shoki_config(const char *);
char *read_file(char *fname);
void default_formats(int d_f[], char *d_d[], int d_t[]);

pcap_t *fake_pcap(pcap_t *, int);
char *get_filter(char **);
void read_zdumps(char *, pcap_handler);

